summaryrefslogtreecommitdiff
path: root/convert-to-i386
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2011-10-09 17:00:35 +0000
committerweasel <weasel@bc3d92e2-beff-0310-a7cd-cc87d7ac0ede>2011-10-09 17:00:35 +0000
commitbd43e5d054f3acff3aedcc2cded75f0a7e575004 (patch)
tree881f57f179b2d3d11717908ba06af44a22bd7c2c /convert-to-i386
parentccbc8a0d96e268ece082acfd6c284467203e01fd (diff)
Add convert to i386
git-svn-id: svn+ssh://asteria.noreply.org/svn/weaselutils/trunk@488 bc3d92e2-beff-0310-a7cd-cc87d7ac0ede
Diffstat (limited to 'convert-to-i386')
-rwxr-xr-xconvert-to-i38641
1 files changed, 41 insertions, 0 deletions
diff --git a/convert-to-i386 b/convert-to-i386
new file mode 100755
index 0000000..b7ce31e
--- /dev/null
+++ b/convert-to-i386
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Copyright (c) 2009 Peter Palfrader <peter@palfrader.org>
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+#
+# The above copyright notice and this permission notice shall be
+# included in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+
+
+if [ "${1%%.deb}" = "$1" ]; then
+ echo "Usage: $0 <fooo.deb>" >&2
+ exit 1
+fi
+
+archfuzzer=`tempfile`
+trap "rm -f '$archfuzzer'" exit
+
+cat > "$archfuzzer" << EOF
+#!/bin/sh
+exec sed -i -e 's/Architecture: amd64/Architecture: i386/' DEBIAN/control
+EOF
+
+chmod +x "$archfuzzer"
+
+fakeroot deb-reversion -s '+i386+' -k "$archfuzzer" "$1"